//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	BadPixelMap.cc --- implementation of BadPixel related classes
//
//	DESCRIPTION:
//
//	CHANGE HISTORY:
//		UL, 2001-03-22: 1.0.0: - first version (from BadPixelDataServer.cc in
//								 CAL)
//
//	AUTHOR:
//		U. Lammers, Thu Mar 22 18:52:45 MET 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/BadPixelMap.cc,v 1.5 2004/08/04 12:18:14 rsaxton Exp $
//

#include <functional>	//	binders
#include <algorithm>
#include <cmath>

#include "CalOalUtility.h"
#include "BadPixelMap.h"

using namespace CalOalUtility;

//
//	--------------------------( BadPixelMap )-----------------------------
//
const BadPixel *BadPixelMap::isPixelBad(const PixelLocation &where) const
{
	BadPixelMapType::const_iterator i = find(where);

	if (i != end())
		//	yes, this is a bad pixel
		return &(*i).second;

	return static_cast<BadPixel *>(0);	//	no pixel is not bad
} // BadPixelMaps::isPixelBad

