//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	DalUtils.cc --- implementation of high-level Dal utilities used in Cal/Oal
//
//	DESCRIPTION:
//		This implements some high-level Dal utility function used in the
//		Cal and Oal.
//
//	CHANGE HISTORY:
//		UL, 1999-04-19: 1.0.0: - first version
//		UL, 1999-12-15: 1.0.1: - fixed SPR 977 : DalUtils.cc broken with
//											     TRACE=yes
//
//	AUTHOR:
//		U. Lammers, Mon Apr 19 10:30:29 MET DST 1999
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/DalUtils.cc,v 1.5 2004/08/04 12:18:14 rsaxton Exp $
//

#include "Tracer.h"
#include "DalUtils.h"

const Attribute * DalUtils::attribute(
							const std::vector<const Attributable *> &attribVec,
							const std::string &attribName)
{
	for (unsigned n=0; n<attribVec.size(); ++n)
		if (attribVec[n]->hasAttribute(attribName))
			return attribVec[n]->attribute(attribName);

	throw AttributeNotFound();

	return attribVec[0]->attribute(attribName);
} // DalUtils::stringAttribute



