//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997 - 2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	caloaldefs.h --- mapping of f90 types into corresponding C++ constructs
//
//	DESCRIPTION:
//		Types declared in caloaldefs.f90 are mapped onto corresponding
//		C++ constructs for usage in the F90/C++ glue layers.
//
//	CHANGE HISTORY:
//		UL, 2001-03-09: 1.0.0: - first version
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/caloaldefs.h,v 1.3 2004/08/04 12:18:14 rsaxton Exp $
//
#ifndef CALOALDEFS_H
#define CALOALDEFS_H

#include "common.h"
#include "f90cxx.h"

typedef struct { // must match definitions of
                 // SpacecraftAttitudeType type in caloaldefs.f90
    Double  ra, dec, apos;
} SpacecraftAttitudeType;


typedef struct { // must match definition of
				 // EquatorialDirectionType type in caloaldefs.f90
	Double ra, dec;
} EquatorialDirectionType;

#endif
