//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997 - 2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	xmm_c.cc --- implementation of C I/F layer to XMM class
//
//	DESCRIPTION:
//		See STime.h
//
//	CHANGE HISTORY:
//		UL, 2001-05-10: 1.0.0: - first version
//		UL, 2002-07-18: 1.1.0: - gcc-3.1 fixes
//
//	AUTHOR:
//		U. Lammers,	Thu May 10 14:10:42 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/xmm_c.cc,v 1.4 2004/08/04 12:18:14 rsaxton Exp $
//

#include "common.h"
#include "Xmm.h"
#include "xmm.h"
#include "Handle.h"

#define CSTC(ptr)   ((const STime *)ptr)

typedef Handle<STime>	STimeHandleF90;

extern "C" {

#define XMMFIXTIME(upp, low)											\
STimeHandle CAT(XMM_mission, upp)()										\
{																		\
	return STimeHandle(&CAT(Xmm::mission, upp));						\
}																		\
																		\
STimeHandleF90 CXXFUNC(CAT(xmm_mission, low), CAT(XMM_mision, upp))()	\
{																		\
	return STimeHandleF90(CSTC(XMM_mission##upp()));					\
}

XMMFIXTIME(ReferenceTime, referencetime)
XMMFIXTIME(StartTime, starttime)
XMMFIXTIME(EndTime, endtime)

}
