//
//	test spr2482 fix (Dec toString function at small -ve Dec)
//
#include <iostream>
#include <iomanip>
#include <cmath>
#include "common.h"
#include "Celestial.h"


int main()
{

  double d1 = 0. - 12./60. - 34.76/3600.;
  std::string d1s("-00:12:34.76");

  double d2 = 0. + 12./60. + 34.76/3600.;
  std::string d2s("00:12:34.76");

  assert(std::fabs(RAD_TO_DEG*Declination(d1s).angle()/d1-1.)<1.e-8);
  assert(std::fabs(RAD_TO_DEG*Declination(d2s).angle()/d2-1.)<1.e-8);
  
  std::cerr << "Compare '-00:12:34.76' (" 
	    << d1 * DEG_TO_RAD 
	    << ")  against " 
	    << Declination(d1 * DEG_TO_RAD).toString(':') 
	    << std::endl;

  assert(Declination(d1 * DEG_TO_RAD).toString(':') == d1s);

  std::cerr << "Compare '00:12:34.76' (" 
	    << d2 * DEG_TO_RAD 
	    << ")  against " 
	    << Declination(d2 * DEG_TO_RAD).toString(':') 
	    << std::endl;

  assert(Declination(d2 * DEG_TO_RAD).toString(':') == d2s);
  
}
